Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Can't get ampache 3.5.3-r1 to work
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
firefoxthegreat
n00b
n00b


Joined: 26 Feb 2013
Posts: 2

PostPosted: Tue Feb 26, 2013 10:55 pm    Post subject: Can't get ampache 3.5.3-r1 to work Reply with quote

Hi everyone,
I just tried to install Ampache 3.5.3-r1 and I'm stuck; perhaps you could help me:

When I try to load the index.php, I only get a blank page.

- I had apache2, mysql and php already set up, so it was only a matter of emerging ampache.
- The emerge went well, I used the webapp-config util successfully and followed the instructions in /usr/share/doc/ampache-3.5.3-r1/INSTALL.bz2.
- The output of ampache's test.php shows everything ok (PHP Version, Mysql for PHP, PHP Session Support, PHP ICONV Support, PHP PCRE Support, PHP PutENV Support, Ampache.cfg.php Exists, Ampache.cfg.php Configured?, DB Connection,DB Inserted,Web Path).
- Apache-logs suggest that the file was retrieved correctly, and other php-files work well.
- I already tried running php directly on the file, and I only got a blank response.
- Enabling logging in ampaches configuration didnt produce any log.
- I disabled authentication for ampache.
- I also unmerged and tried ampache 3.5.4, same result.
- I am using php 5.4.8, apache-2.2.23, mysql-5.1.67.

Does anyone have a suggestion? I would appreciate the help :)

Cheers,
FF
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Thu Feb 28, 2013 7:22 pm    Post subject: Reply with quote

See Ampache: Stream your own MP3 and Virtual Hosts HOWTO
and Ampache Wiki

Replace Step 2 with:
Code:
emerge -av ampache


Let me know how that goes...
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
firefoxthegreat
n00b
n00b


Joined: 26 Feb 2013
Posts: 2

PostPosted: Thu Feb 28, 2013 9:07 pm    Post subject: Reply with quote

Thank you for the hints, but I already read those things. Nevertheless your post lead me to manually install the latest dev build of ampache (Ampache v.3.6-Alpha4-DEV), and this worked.

After some research I now believe that ampache stable is not compatible with PHP versions after 5.3:
I tried to execute install.php in ampache 3.5.3 and 3.5.4 and got "PHP Fatal error: Call-time pass-by-reference has been removed in ... on line ...". http://stackoverflow.com/questions/8971261/php-5-4-call-time-pass-by-reference-easy-fix-available seems to know this problem.

I dont know enough about PHP to say anything about this, perhaps someone with more knowledge can confirm this and fix the ebuild accordingly?

Cheers,
FF
Back to top
View user's profile Send private message
eyoung100
Veteran
Veteran


Joined: 23 Jan 2004
Posts: 1411

PostPosted: Thu Feb 28, 2013 10:06 pm    Post subject: Reply with quote

There s a bug:
www-apps/ampache-3.5.* needs additional dependency < dev-lang/php-5.4
I'll Insert this post in that bug and the link you provided.
_________________
The Birth and Growth of Science is the Death and Atrophy of Art -- Unknown
Registerd Linux User #363735
Adopt a Post | Strip Comments| Emerge Wrapper
Back to top
View user's profile Send private message
pgu
Guru
Guru


Joined: 30 Jul 2009
Posts: 477
Location: Oslo, Norway

PostPosted: Sun Aug 24, 2014 3:25 pm    Post subject: Reply with quote

I just tried to install ampache and got a blank page only as well.

My system is using php-5.5.15:5.5 and 3.5.3-r1. Do I still have to downgrade php to any version older than 5.4?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum